Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.security.torque
Interface PermissionPeerManagerConstants

All Known Implementing Classes:
  PermissionPeerManager

    public interface PermissionPeerManagerConstants

Constants for configuring the various columns and bean properties for the used peer.

     Default is:

     security.torque.permissionPeer.class = org.apache.turbine.services.security.torque.om.TurbinePermissionPeer
     security.torque.permissionPeer.column.name       = PERMISSION_NAME
     security.torque.permissionPeer.column.id         = PERMISSION_ID

     security.torque.permission.class = org.apache.turbine.services.security.torque.om.TurbinePermission
     security.torque.permission.property.name       = Name
     security.torque.permission.property.id         = PermissionId

If security.torque.permission.class is unset, then the value of the constant CLASSNAME_DEFAULT from the configured Peer is used.

Version:
  $Id: PermissionPeerManagerConstants.java 534527 2007-05-02 16:10:59Z tv $
Author:
  Henning P. Schmiedehausen

Field Summary
`static String` | `PERMISSION_CLASS_KEY` The key within the security service properties for the permission class implementation
`static String` | `PERMISSION_ID_COLUMN_DEFAULT` The default value for the column name constant for the id field.
`static String` | `PERMISSION_ID_COLUMN_KEY` The column name for the id field.
`static String` | `PERMISSION_ID_PROPERTY_DEFAULT` The default value of the bean property for the id field.
`static String` | `PERMISSION_ID_PROPERTY_KEY` The property name of the bean property for the id field.
`static String` | `PERMISSION_NAME_COLUMN_DEFAULT` The default value for the column name constant for the login name field.
`static String` | `PERMISSION_NAME_COLUMN_KEY` The column name for the login name field.
`static String` | `PERMISSION_NAME_PROPERTY_DEFAULT` The default value of the bean property for the login name field.
`static String` | `PERMISSION_NAME_PROPERTY_KEY` The property name of the bean property for the login name field.
`static String` | `PERMISSION_PEER_CLASS_DEFAULT` Permission peer default class
`static String` | `PERMISSION_PEER_CLASS_KEY` The key within the security service properties for the permission peer class implementation

Field Detail

### PERMISSION_CLASS_KEY

    static final String PERMISSION_CLASS_KEY

  The key within the security service properties for the permission class implementation

  See Also:
    Constant Field Values

### PERMISSION_PEER_CLASS_KEY

    static final String PERMISSION_PEER_CLASS_KEY

  The key within the security service properties for the permission peer class implementation

  See Also:
    Constant Field Values

### PERMISSION_PEER_CLASS_DEFAULT

    static final String PERMISSION_PEER_CLASS_DEFAULT

  Permission peer default class

### PERMISSION_NAME_COLUMN_KEY

    static final String PERMISSION_NAME_COLUMN_KEY

  The column name for the login name field.

  See Also:
    Constant Field Values

### PERMISSION_ID_COLUMN_KEY

    static final String PERMISSION_ID_COLUMN_KEY

  The column name for the id field.

  See Also:
    Constant Field Values

### PERMISSION_NAME_COLUMN_DEFAULT

    static final String PERMISSION_NAME_COLUMN_DEFAULT

  The default value for the column name constant for the login name field.

  See Also:
    Constant Field Values

### PERMISSION_ID_COLUMN_DEFAULT

    static final String PERMISSION_ID_COLUMN_DEFAULT

  The default value for the column name constant for the id field.

  See Also:
    Constant Field Values

### PERMISSION_NAME_PROPERTY_KEY

    static final String PERMISSION_NAME_PROPERTY_KEY

  The property name of the bean property for the login name field.

  See Also:
    Constant Field Values

### PERMISSION_ID_PROPERTY_KEY

    static final String PERMISSION_ID_PROPERTY_KEY

  The property name of the bean property for the id field.

  See Also:
    Constant Field Values

### PERMISSION_NAME_PROPERTY_DEFAULT

    static final String PERMISSION_NAME_PROPERTY_DEFAULT

  The default value of the bean property for the login name field.

  See Also:
    Constant Field Values

### PERMISSION_ID_PROPERTY_DEFAULT

    static final String PERMISSION_ID_PROPERTY_DEFAULT

  The default value of the bean property for the id field.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.